Package org.fife.ui.rsyntaxtextarea.folding

## Class JsonFoldParser

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.folding.JsonFoldParser

- All Implemented Interfaces:
    `FoldParser`

      public class JsonFoldParser
      extends Object
      implements FoldParser

  The fold parser for JSON. Objects (`"{ ... }`") and arrays (`"[ ... ]"`) that span multiple lines are considered fold regions.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonFoldParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Fold>` | `getFolds​(RSyntaxTextArea textArea)` | Returns a list of all folds in the text area.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonFoldParser

          public JsonFoldParser()

  - ### Method Detail

    - #### getFolds

          public List<Fold> getFolds​(RSyntaxTextArea textArea)

      Returns a list of all folds in the text area.
      Specified by:
        `getFolds` in interface `FoldParser`
      Parameters:
        `textArea` - The text area whose contents should be analyzed.
      Returns:
        The list of folds. If this method returns `null`, it is treated as if no folds were found.